TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

AllSqrts ( elt-res^rat a ) -> seq()

### Optional Arguments

Factorization | seq() |  |

### Description

<shortdoc> The sequence of all square roots of a. </shortdoc>

### Examples

x_R := ResidueClassRing(5*7); AllSqrts( Coerce(x_R, 2*7 + 3*5) );

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack